$background-black-color:              #000000;
$shadow-color-text:                   #5b5b5b;
$shadow-color-action:                 #858585;
$header-background-bar:               #1b1f3d;
$button-active:                       #b4834f;
$button-active-hover:                 #ea973e;
$button-hover:                        #636363;
$grey-shadow:                         #eeeff1;
$grey-dark:                           #444444;
$dropdown-buttons-text:               #26272b;
$dropdown-background:                 #e8e8e8;
$dropdown-background-active:          #20264a;
$search-background:                   #f4f5f7;
$button-brown:                        #b48350;
$button-brown-hover:                  #ab7337;


$blue:                                #4477ee;
$blue-hover:                          #335dbd;
$green:                               #2bad62;
$white:                               #ffffff;


$max-width: 910px;

$width-on-row-three: calc((100vw - 40px)/ 3 - 10px );
$width-tablet-small: calc((100vw - 20px)/ 2 - 15px );
$width-on-row-two: calc((100vw - 20px)/ 2 - 5px );

$breakpoints: (
    "phone":        360px,
    "phone-wide":   480px,
    "phablet":      560px,
    "tablet-small": 640px,
    "tablet":       769px,
    "laptop":       928px,
    "desktop":      1200px,
    "desktop-wide": 1440px
);

.comments{

	.intentions{
		background-color: $white;

		.intentions-container{
			padding-top: 20px;
			padding-bottom: 20px;

			.dropdown-selection{
			    padding: 8px 0;

				.dropdown-toggle{
					text-transform: uppercase;
					font-size: 16px;
					color: $grey-dark;
				    //font-weight: 600;

					&:after{
						margin-left: 20px;
					    border-top: 7px solid;
					    border-right: 5px solid transparent;
					    border-left: 5px solid transparent;
						color: $shadow-color-action;
					}
				}
			}

			.autocomplete-container{
				margin-left: 20px;

				.autocomplete{
					position: relative;
					height: 40px;

					input{
						width: 100%;
						padding: 10px 40px;
					    border: 0;
					    border-radius: 50px;
					    background-color: $search-background;
					    font-weight: 700;

					    &:not(:placeholder-shown) {
					    	text-transform: uppercase;
						}
					}

					.search-button,
					.flag-place{
						position: absolute;
						height: 100%;
					    color: $shadow-color-action;
					}

					.flag-place{
						left: 20px;
					    font-size: 13px;
					}

					.search-button{
						right: 20px;
						font-size: 20px
					}

					.autocomplete-items{
						position: absolute;
					    top: 60px;
					    width: 100%;
					    padding: 20px;
					    -webkit-box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
						-moz-box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
						box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
						border-radius: 4px;
						max-height: 300px;
						overflow: auto;
					    background-color: $grey-shadow;
				        z-index: 3;

						div{
							padding: 15px 20px;
							border-radius: 50px;

							.flag-place-icon{
							    color: $grey-dark;
							    font-size: 13px;
							    margin-right: 10px;
							}

							&:hover{
								background-color: #e9e9ed;
							}
						}
					}
				}

				&.agencies-search-field{

					input{
						padding: 10px 20px;
					}
				}
			}

			.button-container{

				.btn{
					border-radius: 20px;
				    padding: 11px 20px;
				    margin-left: 10px;
				}
			}
		}

		.intentions-container-mobile{

			@include mq("tablet", 'max') {
			    padding: 10px 20px;
			}

			.group-container{

				.dropdown-buttons-container{
					text-transform: uppercase;

					@include mq("tablet", 'max') {
					    font-size: 14px;
					    line-height: 16px;
					    margin-bottom: 5px;
					}
				}

				.myCountry-mobile-place{

					@include mq("tablet", 'max') {
					    font-size: 20px;
    					line-height: 20px;
					}
				}
			}

			.search-button{
				font-size: 20px;
				color: $shadow-color-action;
			}
		}
	}

	.filters-mobile{
	    position: fixed;
        overflow: auto;
	    top: 0;
	    left: 0;
	    width: 100%;
	    height: 100%;
	    z-index: 20;
        padding: 25px 15px;
		background-color: #f4f5f7;

		#memberName{
			width: 100%;
		    padding: 15px 20px 15px 20px;
		    border: 0;
		    border-radius: 10px;
		    background-color: #ffffff;
		    font-weight: 700;
		    font-size: 20px;
		}

		.text-form{

			input{
		    	width: 100%;
		    	border: 0;
		    	padding: 18px 15px 18px 30px;
		    	background-color: transparent;
		    	color: #b4834f;
		    }
		}

		.advanced-search{
			pointer-events: none;
			color: #858585;
		}

		#cancel-mobile{
			color: #7c7d80;
		}

		.autocomplete-container{

			.autocomplete{
				position: relative;
				height: 100%;

				label{
				    position: absolute;
				    left: 20px;
				    top: 10px;
				    text-transform: uppercase;
				}

				input{
					width: 100%;
					padding: 30px 20px 10px 20px;
				    border: 0;
				    border-radius: 10px;
				    background-color: $white;
				    font-weight: 700;
				}

				.search-button,
				.flag-place{
					position: absolute;
					height: 100%;
				    color: $shadow-color-action;
				}

				.flag-place{
					left: 20px;
				    font-size: 13px;
				}

				.search-button{
					right: 20px;
					font-size: 20px
				}

				.autocomplete-items{
					position: absolute;
				    top: 70px;
				    width: 100%;
				    padding: 20px;
				    -webkit-box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
					-moz-box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
					box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
					border-radius: 4px;
					max-height: 300px;
					overflow: auto;
				    background-color: $grey-shadow;
			        z-index: 3;

					div{
						padding: 15px 20px;
						border-radius: 50px;

						.flag-place-icon{
						    color: $grey-dark;
						    font-size: 13px;
						    margin-right: 10px;
						}
					}
				}
			}

			&.agencies-search-field{
				display: none;
			}
		}

		.advanced-buttons{
		    padding: 10px 15px;
		    position: fixed;
		    width: 100%;
		    bottom: 0px;
	        left: 0;

		    .btn{
		    	border-radius: 10px;
			    font-size: 20px;
			    line-height: 22px;
			    padding: 13px;
			    text-transform: uppercase;
			    font-weight: 600;
		    }

			.reset{
				display: none;
				background-color: #e8e8e8;
				color: #444444;
			}

			&.active{
		    	background-color: $white;

				.reset{
					display: block;
				}
			}
		}
	}

	.stucture-bar{
		padding-top:30px;
		padding-bottom: 10px;

		@include mq("tablet", "max") {
			padding: 0 0 10px 0;
			}

		.sort-structure{

			@include mq("tablet", "max") {
				width: 100%;
  			}

  			.total-results{
  				font-size: 14px;
  				line-height: 16px;
  			}

			.dropdown-selection{
				margin-right: 10px;

				&:last-child{
					margin-right: 0;
				}

				@include mq("tablet", "max") {
					margin: 0;
				    flex: 1;
	  			}

	  			.dropdown{

					@include mq("tablet", "max") {
						width: 100%;
		  			}
	  			}

				.dropdown-toggle{
					display: block;
					background-color: $grey-shadow;
					padding: 3px 10px;
					border-radius: 2px;
				    font-size: 14px;

					@include mq("tablet", "max") {
				    	font-size: 13px;
						line-height: 20px;
		  			}

					&:after{
						margin-left: 15px;
					    border-top: 7px solid;
					    border-right: 5px solid transparent;
					    border-left: 5px solid transparent;
						color: $shadow-color-action;

						@include mq("tablet", "max") {
							margin-left: 5px;
			  			}
					}
				}

				&.sort2{

					.dropdown-toggle{

						@include mq("tablet", "max") {
							padding: 10px;
			  			}

			  			&:after{

							@include mq("tablet", "max") {
								position: absolute;
								right: 20px;
								top: 50%;
								transform: translateY(-50%);
				  			}
			  			}
					}

					.dropdown-custom{

						@include mq("tablet", "max") {
						    transform: translate3d(0px, 40px, 0px) !important;
			  			}
					}
				}
			}
		}

		.view-structure{

			.dropdown-toggle{
				display: block;
				background-color: $grey-shadow;
				padding: 3px 10px;
				border-radius: 2px;
			    font-size: 14px;
			    min-width: 210px;

				@include mq("tablet", "max") {
			    	font-size: 13px;
					line-height: 20px;
	  			}

				&:after{
				    position: absolute;
			        top: 50%;
			        right: 10px;
			        transform: translateY(-50%);
				    border-top: 7px solid;
				    border-right: 5px solid transparent;
				    border-left: 5px solid transparent;
					color: $shadow-color-action;
				}
			}

			.view-buttons{
			    padding: 4.5px 8px;
				font-size: 14px;
				color: #bababa;
				margin-right: 5px;
				background-color: $grey-shadow;
				border-radius: 2px;

				&:last-child{
					margin-right: 0;
				}

				&.active{
					color: $grey-dark;
				}
			}
		}
	}

	.escorts{

		.comments-container{

			.comments-list{

				@include mq("tablet", "max") {
				    padding: 0 10px;
	  			}

				.escort-item{
			        position: relative;
			        background-color: $white;
			        margin-bottom: 10px;
			        border-radius: 3px;

					.image-container{
					    padding: 20px 0 20px 20px;

						.image{
							width: $width-on-row-three;
							max-width: 120px;
							height: $width-on-row-three;
							max-height: 120px;
							background-size: cover;
							background-repeat: no-repeat;
							background-position: top center;
						    border-radius: 3px;
						}
					}

					.info-container{
						position: relative;
					    width: 100%;
    					padding: 20px;

						.badges{
						    position: absolute;
						    top: 0;
						    right: 20px;

							& > div{
								margin-right: 3px;

								&:last-child{
									margin-right: 0;
								}
							}

							.secure-acc,
							.new-acc,
							.vip-acc{
								position: relative;
								width: 19px;
								height: 24px;
							    background-size: contain;
							    background-repeat: no-repeat;
							    background-position: center;
							}

							.secure-acc{
								background-image: url('../images/secure.png');
							}

							.new-acc{
								background-image: url('../images/normal.png');
							}

							.vip-acc{
								background-image: url('../images/vip.png');
							}
						}

						.name{
							font-size: 16px;
    						line-height: 18px;
    					    color: #1c1d22;
					        margin-right: 10px;
						}

						.info{
							color: #858484;

							.image{
								width: 60px;
								min-width: 60px;
								height: 60px;
								min-height: 60px;
								background-size: cover;
								background-repeat: no-repeat;
								background-position: top center;
							    border-radius: 6px;
							    margin-right: 10px;
							}

							.vip-status{
								font-size: 11px;
							    line-height: 14px;
							    font-weight: 700;
							    background-color: #b48350;
							    color: #fff;
							    padding: 0 4px;
							    border-radius: 3px;
						        margin-right: 5px;
							}

							.point{
							    display: block;
								width: 3px;
							    height: 3px;
							    border-radius: 50%;
							    background-color: #858484;
						        margin: 0 8px 0 8px;
							}

							.text-grey{
								font-size: 14px;
    							line-height: 16px;

								@include mq("tablet", "max") {
									min-width: 100%;
							    	line-height: 18px;
					  			}
							}

							.type-escort{
								font-style: italic;
							    font-size: 14px;
							    line-height: 18px;
							}
						}

						.button-container{
							font-weight: 600;
    						font-size: 14px;
    						line-height: 16px;

    						a{

    							&:first-child{
    								margin-right: 20px;
    							}
    						}
						}

						.comments-list-container{

							.comment{
							    background-color: #f8f9fa;
							    padding: 15px;
							    border-radius: 10px;
							    margin-bottom: 5px;

							    &:last-child{
							    	margin-bottom: 0;
							    }

								.comment-top{
									font-size: 14px;
									line-height: 16px;
								    margin-bottom: 2px;

									.avatar{
		    					    	background-color: #f4f5f7;
									    width: 20px;
									    height: 20px;
									    display: flex;
									    align-items: center;
									    justify-content: center;
									    border-radius: 50%;
									    margin-right: 10px;

									    i{
								    	    font-size: 10px;
											color: #8d8c8c;
									    }
		    					    }

		    					    .comment-name{
		    					    	font-weight: 600;
		    					    	margin-right: 10px;
		    					    }

		    					    .comment-date{
		    					    	margin-right: 10px;
		    					    }

		    					    .comment-status{
		    					    	font-size: 11px;
									    line-height: 14px;
									    font-weight: 700;
									    background-color: #858585;
									    color: #fff;
									    padding: 0 4px;
									    border-radius: 3px;
									    cursor: pointer;
		    					    }
								}

								.comment-content{
									font-size: 16px;
									line-height: 20px;
								}
							}
						}
					}
				}
			}
		}
	}

	.pagination-container{
	    font-size: 14px;
	    line-height: 16px;

		@include mq("tablet", 'max') {
			flex-wrap: wrap;
			justify-content: center;
		}

	    .pagination{
		    flex: 1;
		    max-width: 290px;

			@include mq("tablet", 'max') {
    			max-width: 100%;
    			min-width: 100%;
				justify-content: center;
			}

	    	a{
	    		display: block;

	    		&.first{
	    			margin-right: 10px;
	    		}

	    		&.active{
	    			background-color: $white;
	    			border-radius: 2px;
	    		}

	    		&.page-number{
    			    padding: 12px 11px;

    			    &:not(.active){

    			    	&:not(.inactive){

				    		&:hover{
				    			padding: 12px 11px 10px 11px;
				    			border-bottom: 2px solid #b48350;
				    		}
    			    	}
    			    }
	    		}
	    	}
	    }

		.btn{
			font-size: 16px;
		    line-height: 20px;
		    color: #fff;
		    font-weight: 600;
	        padding: 9px 36px;
    			    	
    		&:hover{
		    	color: #fff;
    		}

			@include mq("tablet", 'max') {
    			margin: 20px 0;
			}
		}

		.total-profiles{
			color: #858585;
		    flex: 1;
    		max-width: 290px;
    		text-align: right;

			@include mq("tablet", 'max') {
    			max-width: 100%;
    			min-width: 100%;
    			text-align: center;
			}
		}
	}

	.cities{
		background-color: #eeeff1;

		p{
			color: #444444;
		}

		& > .d-flex{

			@include mq("tablet", 'max') {
				flex-wrap: wrap;
			}
		}

		.column{
			max-width: 200px;

			@include mq("tablet", 'max') {
				max-width: 100%;
			}

			p{
				white-space: nowrap;
				font-size: 14px;
			}

			.points{
				margin: 0 10px;
				overflow: hidden;
				height: 10px;
			    line-height: 0;
			    color: #858585;
			    letter-spacing: 2px;
			}

			.d-flex{
				margin-bottom: 10px;
				cursor: pointer;

				@include mq("tablet", 'min') {

					&:last-child{
						margin-bottom: 0;
					}

					&:hover{

						p{
							color: #b48350;
						}
					}
				}
			}
		}
	}
}